/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FileOrFolderPath } from "./FileOrFolderPath";
import type { FolderSummary } from "./FolderSummary";
import type { ObjectSummary } from "./ObjectSummary";

/**
 * Response body for ListFolderDescendants.
 */
export type ListFolderResponse = {
  /**
   * Cursor that must be provided to the next request (to continue reading the next page of results).
   *
   * If `null` is returned or the response cursor equals the request cursor, then paging has completed.
   */
  cursor: FileOrFolderPath | null;
  /**
   * Summary information about the requested folder.
   */
  folder: FolderSummary;
  /**
   * Summary information about each of the folder's descendants (files and folders).
   */
  items: Array<ObjectSummary>;
};
