/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderSummary } from "./FolderSummary";
import type { ListFolderCursor } from "./ListFolderCursor";
import type { ObjectSummary } from "./ObjectSummary";

/**
 * Response body for ListFolderChildren.
 */
export type ListFolderChildrenResponse = {
  /**
   * Summary information about each of the folder's children (files and folders).
   */
  children: Array<ObjectSummary>;
  /**
   * Cursor that must be provided to the next request (to continue reading the next page of results).
   *
   * If `null` is returned or the response cursor equals the request cursor, then paging has completed.
   */
  cursor: ListFolderCursor | null;
  /**
   * Summary information about the requested folder.
   */
  parent: FolderSummary;
};
